Groovy Documentation

## org.codehaus.groovy.grails.web.sitemesh
[Java] Class GrailsRoutablePrintWriter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              org.codehaus.groovy.grails.web.util.GrailsPrintWriter
                  org.codehaus.groovy.grails.web.sitemesh.GrailsRoutablePrintWriter

    public class GrailsRoutablePrintWriter
    extends GrailsPrintWriter

Nested Class Summary
`static interface` | `GrailsRoutablePrintWriter.DestinationFactory` Factory to lazily instantiate the destination.

Field Summary

Fields inherited from class GrailsPrintWriter
CRLF, LOG, allowUnwrappingOut, out, trouble, usageFlag

Constructor Summary
`GrailsRoutablePrintWriter(GrailsRoutablePrintWriter.DestinationFactory factory)`

Method Summary
`java.io.PrintWriter` | `append(char c)`
`java.io.PrintWriter` | `append(java.lang.CharSequence csq, int start, int end)`
`java.io.PrintWriter` | `append(java.lang.CharSequence csq)`
`boolean` | `checkError()`
`void` | `close()`
`void` | `flush()`
`java.io.Writer` | `getFinalTarget()`
`java.io.Writer` | `getOut()`
`boolean` | `isAllowUnwrappingOut()` tell others if getOut() can be called to "unwrap" the actual target writer
`void` | `print(java.lang.Object obj)`
`void` | `print(java.lang.String s)`
`void` | `print(char[] s)`
`void` | `print(double d)`
`void` | `print(float f)`
`void` | `print(long l)`
`void` | `print(int i)`
`void` | `print(char c)`
`void` | `print(boolean b)`
`void` | `println(java.lang.Object x)`
`void` | `println(java.lang.String x)`
`void` | `println(char[] x)`
`void` | `println(double x)`
`void` | `println(float x)`
`void` | `println(long x)`
`void` | `println(int x)`
`void` | `println(char x)`
`void` | `println(boolean x)`
`void` | `println()`
`void` | `updateDestination(GrailsRoutablePrintWriter.DestinationFactory f)`
`void` | `write(java.lang.String s)`
`void` | `write(java.lang.String s, int off, int len)`
`void` | `write(char[] buf)`
`void` | `write(char[] buf, int off, int len)`
`void` | `write(int c)`

Methods inherited from class GrailsPrintWriter

append, append, append, append, append, checkError, clone, findStreamCharBufferTarget, flush, getFinalTarget, getOut, handleIOException, isAllowUnwrappingOut, isFinalTargetHere, isUsed, leftShift, leftShift, leftShift, plus, print, print, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, println, println, println, resetUsed, setFinalTargetHere, setUsed, write, write, write, write, write, write, write

Methods inherited from class java.io.PrintWriter

java.io.PrintWriter#println(char), java.io.PrintWriter#println(), java.io.PrintWriter#println(boolean), java.io.PrintWriter#println(java.lang.Object), java.io.PrintWriter#println(java.lang.String), java.io.PrintWriter#println([C), java.io.PrintWriter#println(double), java.io.PrintWriter#println(float), java.io.PrintWriter#println(long), java.io.PrintWriter#println(int), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#append(char), java.io.PrintWriter#append(char), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(char), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#format(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#format(java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#write([C), java.io.PrintWriter#write([C, int, int), java.io.PrintWriter#write(int), java.io.PrintWriter#write(java.lang.String, int, int), java.io.PrintWriter#write(java.lang.String), java.io.PrintWriter#print(java.lang.String), java.io.PrintWriter#print(java.lang.Object), java.io.PrintWriter#print(boolean), java.io.PrintWriter#print(char), java.io.PrintWriter#print(int), java.io.PrintWriter#print(long), java.io.PrintWriter#print(float), java.io.PrintWriter#print(double), java.io.PrintWriter#print([C), java.io.PrintWriter#flush(), java.io.PrintWriter#close(), java.io.PrintWriter#checkError(), java.io.PrintWriter#printf(java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#printf(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#wait(), java.io.PrintWriter#wait(long), java.io.PrintWriter#wait(long, int), java.io.PrintWriter#equals(java.lang.Object), java.io.PrintWriter#toString(), java.io.PrintWriter#hashCode(), java.io.PrintWriter#getClass(), java.io.PrintWriter#notify(), java.io.PrintWriter#notifyAll()

Methods inherited from class java.io.Writer

java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(char), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#write([C, int, int), java.io.Writer#write(int), java.io.Writer#write([C), java.io.Writer#write(java.lang.String), java.io.Writer#write(java.lang.String, int, int), java.io.Writer#flush(), java.io.Writer#close(), java.io.Writer#wait(), java.io.Writer#wait(long), java.io.Writer#wait(long, int), java.io.Writer#equals(java.lang.Object), java.io.Writer#toString(), java.io.Writer#hashCode(), java.io.Writer#getClass(), java.io.Writer#notify(), java.io.Writer#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GrailsRoutablePrintWriter

    public GrailsRoutablePrintWriter(GrailsRoutablePrintWriter.DestinationFactory factory)

Method Detail

### append

    @Override
    public java.io.PrintWriter append(char c)

### append

    @Override
    public java.io.PrintWriter append(java.lang.CharSequence csq, int start, int end)

### append

    @Override
    public java.io.PrintWriter append(java.lang.CharSequence csq)

### checkError

    @Override
    public boolean checkError()

### close

    @Override
    public void close()

### flush

    @Override
    public void flush()

### getFinalTarget

    @Override
    public java.io.Writer getFinalTarget()

### getOut

    @Override
    public java.io.Writer getOut()

### isAllowUnwrappingOut

    @Override
    public boolean isAllowUnwrappingOut()

  tell others if getOut() can be called to "unwrap" the actual target writer if the destination hasn't been activated, don't allow it.
  See Also:
    GrailsPrintWriter.isAllowUnwrappingOut

### print

    @Override
    public void print(java.lang.Object obj)

### print

    @Override
    public void print(java.lang.String s)

### print

    @Override
    public void print(char[] s)

### print

    @Override
    public void print(double d)

### print

    @Override
    public void print(float f)

### print

    @Override
    public void print(long l)

### print

    @Override
    public void print(int i)

### print

    @Override
    public void print(char c)

### print

    @Override
    public void print(boolean b)

### println

    @Override
    public void println(java.lang.Object x)

### println

    @Override
    public void println(java.lang.String x)

### println

    @Override
    public void println(char[] x)

### println

    @Override
    public void println(double x)

### println

    @Override
    public void println(float x)

### println

    @Override
    public void println(long x)

### println

    @Override
    public void println(int x)

### println

    @Override
    public void println(char x)

### println

    @Override
    public void println(boolean x)

### println

    @Override
    public void println()

### updateDestination

    public void updateDestination(GrailsRoutablePrintWriter.DestinationFactory f)

### write

    @Override
    public void write(java.lang.String s)

### write

    @Override
    public void write(java.lang.String s, int off, int len)

### write

    @Override
    public void write(char[] buf)

### write

    @Override
    public void write(char[] buf, int off, int len)

### write

    @Override
    public void write(int c)

Groovy Documentation